[코코아팟] pod install 혹은 pod update 도중 오류가 발생할 때 대처법

0 답변 글타래를 보이고 있습니다
  • 글쓴이
    • 야곰
      키 마스터
      • 글작성 : 37
      • 답글작성 : 552
      19,970 포인트

      안녕하세요 야곰입니다.
      코코아팟에서 install 혹은 update 명령을 사용하다보면 오류가 발생할 때가 있습니다.
      오류 메시지가 명확한 경우도 있고, 더러는 알 수 없는 오류도 발생합니다.
      가장 대표적으로 JSON ParserError가 있는데요, 대략 이런 메시지가 보입니다.

      더불어 가장 많은 오류 중 하나가 의존성 오류인데요.
      의존성 오류가 생긴 경우에는 아래 명령어 실행 후 다시 pod install하면 대부분 해결됩니다 🙂

      pod repo update
      

      그래도 잘 해결되지 않았다면 대부분의 오류는 아래의 마약같은 만병통치 명령으로 해결해 볼 수 있습니다.

      rm -rf ~/.cocoapods/repos/trunk/
      

      터미널에서 위의 명령어를 입력하고 다시 pod install 혹은 pod update를 시도해보면 대부분 정상적인 결과를 얻을 수 있습니다. 다만, 코코아팟 트렁크나 코코아팟의 PodSpec 저장소를 다시 받아와야 하기 때문에 시간이 다소 걸릴 수 있으니, 명령어를 입력해두고 잠시 차한잔 우려드시고 돌아오면 되겠습니다.
      초단간 팁 오늘은 여기까지!

      이 글은 yagom’s blog에도 포스팅하였습니다.

      avatar
0 답변 글타래를 보이고 있습니다
  • 답변은 로그인 후 가능합니다.

logo landscape small

사업자번호 : 260-27-00477
통신판매업 신고번호 : 제 2020-충북청주-0663 호
고객센터 : 카카오톡채널 @yagom